Skip to main content
GET
/
v5
/
evaluation-groups
/
{group_id}
Get Evaluation Group
curl --request GET \
  --url https://api.egp.scale.com/v5/evaluation-groups/{group_id} \
  --header 'x-api-key: <api-key>'
{
  "id": "<string>",
  "tags": [
    "<string>"
  ],
  "name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "account_id": "<string>",
  "object": "evaluation_group",
  "description": "<string>",
  "metadata": {},
  "deleted_at": "2023-11-07T05:31:56Z",
  "members": [
    {
      "id": "<string>",
      "evaluation_group_id": "<string>",
      "evaluation_id": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "object": "evaluation_group.member",
      "evaluation_name": "<string>",
      "evaluation_tags": [
        "<string>"
      ],
      "evaluation_created_at": "2023-11-07T05:31:56Z",
      "deleted_at": "2023-11-07T05:31:56Z"
    }
  ],
  "row_identifiers": [
    {
      "evaluation_id": "<string>",
      "column_name": "<string>",
      "object": "evaluation_group.row_identifier"
    }
  ]
}

Authorizations

x-api-key
string
header
required

Headers

x-selected-account-id
string | null

Path Parameters

group_id
string
required

Query Parameters

views
enum<string>[]

Optional relationships to include: 'members', 'row_identifiers'

Views for evaluation group responses

Available options:
members,
row_identifiers
include_deleted
boolean
default:false

Response

Successful Response

Response model for evaluation group

id
string
required

Unique identifier of the evaluation group

tags
string[]
required

The tags associated with the entity

name
string
required

Name of the evaluation group

created_at
string<date-time>
required

When the group was created

account_id
string
required

Account that owns this evaluation group

object
string
default:evaluation_group
Allowed value: "evaluation_group"
description
string

Optional description

metadata
Metadata · object

Optional metadata key-value pairs

deleted_at
string<date-time>

When the group was soft-deleted

members
Members · object[]

Evaluation members in this group. Populated with 'members' view.

row_identifiers
Row Identifiers · object[]

Row identifier mappings. Populated with 'row_identifiers' view.